Subject: Re: [PATCH v2 00/21] builtin/config: remove global state

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 15 May 2024 07:53:54 +0200

On Tue, May 14, 2024 at 04:52:35PM +0200, Patrick Steinhardt wrote:
> On Tue, May 14, 2024 at 07:48:47AM -0700, Junio C Hamano wrote:
> > Patrick Steinhardt <[email-masked]> writes:
> > 
> > > this is the second version of my patch series that removes global state
> > > from "builtin/config.c". Changes compared to v1:
> > >
> > >   - Reinstated a comment in patch 5.
> > >
> > >   - Fixed a memory leak in patch 9.
> > >
> > >   - A couple of commit message fixes.
> > >
> > > The series continues to build on top of ps/config-subcommands.
> > 
> > I do not offhand know if this iteration has already been seen by me,
> > but a few recent CI runs of 'seen' did break with *-leaks jobs in
> > t13XX series around "config".  Hopefully with the fix in "patch 9"
> > listed above the problem has gone away?  We'll know soon enough when
> > I push out the integration result.
> 
> I think so, yes. v1 also broke pipelines at GitLab -- I didn't notice
> though because pipelines had already been broken due to the Python 2
> deprecation in Ubuntu 24.04, so I missed that there were in fact
> multiple issues. The GitLab pipeline now passes with v2, so I assume
> that it would also pass in GitHub now.
> 
> Patrick

Oh, there is a second memory leak that I missed. *sigh* I'll do a better
job at that next time and send a v3 that fixes it.

Patrick